ReferenceAPI referenceUsers
Change a user's role or membership status
Requires SUPER_USER. The last active SUPER_USER cannot be demoted or disabled.
PATCH
/organizations/{organization_id}/users/{user_id}Requires SUPER_USER. The last active SUPER_USER cannot be demoted or disabled.
tasuku_session<token>
In: cookie
Path Parameters
organization_id*string
Length
1 <= length <= 128user_id*string
Length
1 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Properties
1 <= propertiesResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/organizations/string/users/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "github_id": 1, "github_login": "string", "display_name": "string", "avatar_url": "http://example.com", "organization_id": "string", "organization_name": "string", "role": "USER", "status": "ACTIVE", "capabilities": [ "VIEW" ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}